/***************************************************************************
                          sinusoid.cpp  -  description
                             -------------------
    begin                : jue ene 2 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// Sinusoid.cpp: implementation of the CSinusoid class.
//
//////////////////////////////////////////////////////////////////////

#include "sinusoid.h"



//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


CSinusoid::CSinusoid()
{
	//m_fdata=0x0;
}

CSinusoid::~CSinusoid()
{
	/*if (m_fdata)
		delete [] m_fdata;  */

}

//Allocates the data array of individual waves
bool CSinusoid::InitData(int n)
{

	m_fdata.resize(n);

	return true;
}



bool CSinusoid::NewData(int n)
{
	//m_fdata =new fcomplex [n];

	return true;
}

CSinusoid const &CSinusoid::operator=(  CSinusoid const & other)
{
	if (this!=&other)
	{
		m_flamplitude=other.m_flamplitude;
		m_zamplitude=other.m_zamplitude;
		m_fldecay=other.m_fldecay;
		m_flfrequency=other.m_flfrequency;
		m_flphase=other.m_flphase;
		m_flt1=other.m_flt1;
		m_J=other.m_J;
		m_multiplicity=other.m_multiplicity;
	}
	return(*this);
}

